# Patient Care Template
App templates help you jump start your native cross-platform apps with built-in UI elements and best practices. Save time writing boilerplate code over and over again when you create new apps.

This Patient Care template is a fundamental building block for developers to create powerful apps with HIPAA compliant cloud support from Kinvey that let users regularly track care plans, monitor their progress, and share their insights with care teams. The template uses RadListView, RadDataForm and RadRadialGauge components that are part of [Progress NativeScript UI](https://github.com/telerik/nativescript-ui-feedback).

<img src="/packages/template-patient-care-ng/tools/assets/phone-care-card-ios.png" height="400" /><img src="/packages/template-patient-care-ng/tools/assets/phone-care-connect-ios.png" height="400" />

## Quick Start
Execute the following command to create an app from this template:

```
tns create my-patient-care --template tns-template-patient-care-ng
```

> Note: This command will create a new NativeScript app that uses the latest version of this template published to [npm] (https://www.npmjs.com/package/tns-template-patient-care-ng).

If you want to create a new app that uses the source of the template from the `master` branch, you can execute the following:

```
# clone nativescript-app-templates monorepo locally
git clone git@github.com:NativeScript/nativescript-app-templates.git

# create app template from local source (all templates are in the 'packages' subfolder of the monorepo)
tns create my-patient-care --template nativescript-app-templates/packages/template-patient-care-ng
```

**NB:** Please, have in mind that the master branch may refer to dependencies that are not on NPM yet!

## Get Help
The NativeScript framework has a vibrant community that can help when you run into problems.

Try [joining the NativeScript community Slack](http://developer.telerik.com/wp-login.php?action=slack-invitation). The Slack channel is a great place to get help troubleshooting problems, as well as connect with other NativeScript developers.

If you have found an issue with this template, please report the problem in the [NativeScript repository](https://github.com/NativeScript/NativeScript/issues).

## Contributing

We love PRs, and accept them gladly. Feel free to propose changes and new ideas. We will review and discuss, so that they can be accepted and better integrated.

**NB:** Please, have in mind that the master branch may refer to dependencies that are not on NPM yet!
